Neue XAMPP-Versionen für Windows und Linux

Hier gibt es Neues und Ankündigen zu XAMPP.
Dieses Forum ist identisch mit der NEWS-Rubrik der Website. Nur kann hier auch was gesagt werden.

Neue XAMPP-Versionen für Windows und Linux

Postby Oswald » 23. December 2008 16:47

Noch rechtzeitig zu Weihnachten: Nach der üblichen 2-wöchigen Beta-Phase können wir heute die neue "finale" XAMPP-Versionen zum öffentlichen Download anbieten.

Aktualisiert wurden in diesem XAMPP: Apache (2.2.11), MySQL (5.1.30), PHP (5.2.8) und phpMyAdmin (3.1.1). Die Linux-Version enthält zusätzlich auch noch die MySQL Storage Engine PBXT (1.0.07-rc).

Mit dieser XAMPP-Version endet auch unsere Unterstützung von PHP 4, d. h. ab dieser Version wird PHP 4 nicht mehr mit ausgeliefert. Nachdem PHP 4 seit Ende 2007 offiziell nicht mehr "supported" wird, war das die logische Konsequenz.

Dafür ist endlich die neue Generation der MySQL-Datenbank 5.1 als GA-Version erschienen und nun auch im XAMPP mit dabei. Empfehlenswert zu lesen sind dazu MySQLs offizielles Upgrading from 5.0 to 5.1 und Montys kritisches "Oops, we did it again".

Aktualisierte Versionen für Mac OS X und Solaris folgen demnächst.

Die Downloads und genauere Details zu den neuen Versionen gibt es auf der jeweiligen XAMPP-Projektseite.

Ach ja: Frohe Weihnachten Euch allen und einen guten Rutsch ins neue Jahr 2009! :)
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Re: Neue XAMPP-Versionen für Windows und Linux

Postby Neustradamus » 23. December 2008 16:56

Hello,

Have you read my posts ?

Regards,

Neustradamus
Neustradamus
 
Posts: 3
Joined: 31. January 2007 22:32

Re: Neue XAMPP-Versionen für Windows und Linux

Postby Oswald » 23. December 2008 17:02

Hi Nostradamus!

Yes, OpenSSL 0.9.8i is also included.

Greetings
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Re: Neue XAMPP-Versionen für Windows und Linux

Postby Neustradamus » 24. December 2008 09:12

Hello,

it's ''Neustradamus'' :D

ok good for OpenSSL 0.9.8i !

Can you create addons for test :
MySQL 6.0.8alpha
MySQL 5.3.0alpha3
PHP 6.0 dev

Update your old addons :
Cocoon
Python
MnoGosearch
Midgard CMS

Thanks in advance,

Merry Christmas,

Neustradamus
Neustradamus
 
Posts: 3
Joined: 31. January 2007 22:32

Re: Neue XAMPP-Versionen für Windows und Linux

Postby Seamen » 04. January 2009 15:08

Hi!
Läuft das auch auch xp x64?

Gruß Seamen
Seamen
 
Posts: 0
Joined: 12. September 2004 09:56

Re: Neue XAMPP-Versionen für Windows und Linux

Postby glitzi85 » 05. January 2009 14:23

>Läuft das auch auch xp x64?

Musst du ausprobieren. Generell werden 64bit Versionen nicht unterstützt, kann aber sein dass es läuft. Unter Windows muss das ganze dann evtl nach C:\Programm (x32)\ oder so ähnlich installiert werden, oder du musst schauen wie du die 32bit kompatibilität aktivierst. Hab kein 64bit, daher kann ich's dir nicht genau sagen. Aber studieren geht über probieren, wie man so sagt :D

mfg glitzi

PS: Warum funktioniert denn BBCode in diesem Teil des Forum's nicht? Oder ist das nur bei mir so?
User avatar
glitzi85
 
Posts: 1760
Joined: 05. March 2004 23:26
Location: Dahoim

Neue XAMPP-Versionen Windows und Accelerator

Postby sugusmuc » 13. January 2009 11:27

Hi all,

wir bekommen beim Testen der neuen Windows-Version folgende Meldung im Error-Log:

"PHP Warning: [eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.2.7. Rebuild it for your PHP version (5.2.8) or download precompiled binaries.\n in Unknown on line 0
PHP Fatal error: Unable to start eAccelerator module in Unknown on line 0"

Grüße, Sugus
sugusmuc
 
Posts: 64
Joined: 19. August 2004 16:57
XAMPP Version: 5.5.19
Operating System: Linux Suse 64-bit 11 SP 2

Re: Neue XAMPP-Versionen Windows und Accelerator

Postby Oswald » 13. January 2009 11:36

sugusmuc wrote:PHP Warning: [eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.2.7. Rebuild it for your PHP version (5.2.8) or download precompiled binaries.\n in Unknown on line 0
PHP Fatal error: Unable to start eAccelerator module in Unknown on line 0


Hallo Segus!

Hups, das sollte natürlich nicht so sein. Danke für den Hinweis, hab es gleich mal an unseren Windowsverantwortlichen weitergeleitet.

Liebe Grüße und vielen Dank für den Hinweis!
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Passwörter in MySQL 5.1

Postby sugusmuc » 13. January 2009 17:48

No prob,

dafür gleich noch ein fettes WARNING bzgl. eines Problems, das mich heute lange beschäftigt hat, vielleicht hat das ja noch wer:

In der XAMPP-Vorgängerversion auf WINDOWS erzeugten in MySQL die Funktionen password() und old_password() gleichermaßen kurze Hasch-Keys (hab ich auch heute erst gemerkt), was es ja seit der Version 4.1 nicht mehr tun sollte.
Davon haben wir nur nie etwas gemerkt, da - wie ich gerade festgestellt hab - die MySqlDB seit wer weiß wie lange die Option "old-passwords" in der my.ini stehen hatte und damit vermutlich etliche Upgrades überstanden hat.

Ausserdem scheint MySQL nicht mehr wie früher automatisch kurze Hasches zu erstellen, wenn das Feld zu kurz ist, sondern zumindest bei mir macht es einfach eiskalt ein truncate auf den langen ;-)
Mehr dazu hier:
http://dev.mysql.com/doc/refman/5.1/en/ ... shing.html
http://dev.mysql.com/doc/refman/5.1/en/old-client.html

Importiert man also seine mysql.user - Tabelle und selbst erstellte Login-Tabellen, in denen die Passworte verschlüsselt stehen, nun in die neue Version 5.1, dann hat man leider erst einmal verloren.

Mögliche (Teil-)Lösungen:
1. Alle Passworte nochmal neu eingeben (vorher ggf. Spalte vergrößern, alte Passwörter waren 16 bytes lag, nun sind sie 41 bytes (*offtopic* und 1 Bytepack = 8 Bitburger! Prost */offtopic*).
Die MySql/User-Tabelle hat natürlich eh schon die richtige Größe.
2. In die .ini wieder "old-passwords" schreiben
3. In Skripten, in denen selbst erstellte Login-Tabellen abgefragt werden, das SQL-Statement auf "old_password" umändern.

Wer bereits früher eine neue Installation aufgesetzt hat, hatte das Problem vielleicht damals schon.

Sollte der Beitrag hier fehlplaziert sein, einfach verschieben.

Grüße, Sugus
sugusmuc
 
Posts: 64
Joined: 19. August 2004 16:57
XAMPP Version: 5.5.19
Operating System: Linux Suse 64-bit 11 SP 2

Re: Neue XAMPP-Versionen für Windows und Linux

Postby kvo » 14. January 2009 11:17

Ich habe gestern einen Patch 2 mit dem Inhalt von Patch 1 (php_xdebug.dll, resetroot.bat) sowie der korrekten eAccelerator.dll und der eLoader.dll auf der XAMPP win32 Seite veröffentlicht. Ich hoffe, dieser Patch fixed die hier angesprochenden Probleme.
User avatar
kvo
Apache Friends
 
Posts: 184
Joined: 24. January 2003 14:03
Location: Berlin

Re: Neue XAMPP-Versionen für Windows und Linux

Postby ivanstalyn » 03. March 2009 01:34

Hi,

I just downloaded the XAMPP 1.7.0 for windows and I noticed that the MD5 signature for the Patch2 for 1.7.0 ZIP file is wrong. It is the same as the MD5 signature for the Installer.

The web page shows the same MD5 signature for the ZIP file and the intaller for the Patch2 files; 03cd98a4a3402da22045d4c7a352e245

I do not know where to post this. I was adviced to post this here.

Regards,

Ivancho
ivanstalyn
 
Posts: 0
Joined: 02. March 2009 23:16

Re: Neue XAMPP-Versionen für Windows und Linux

Postby Neustradamus » 23. June 2009 17:02

Hello,

Can you put the last version of OpenSSL (0.9.8k) in the next XAMPP version ?

Because there is only 0.9.8i version.

Source : http://www.apachefriends.org/en/xampp-windows.html (Apache HTTPD 2.2.11 + Openssl 0.9.8i)

Thanks in advance,

Regards,

Neustradamus
Neustradamus
 
Posts: 3
Joined: 31. January 2007 22:32


Return to Ankündigungen und Neuigkeiten

Who is online

Users browsing this forum: No registered users and 1 guest